'use strict';

/*
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
(function($) {
    var es_ist = {1: [1, 2, 4, 5, 6]};
    var uhr = {10: [9, 10, 11]};
    var nach = {4: [8, 9, 10, 11]};
    var vor = {4: [1, 2, 3]};
    var halb = {5: [1, 2, 3, 4]};
    var fuenf = {1: [8, 9, 10, 11]};
    var zehn = {2: [1, 2, 3, 4]};
    var viertel = {3: [5, 6, 7, 8, 9, 10, 11]};
    var zwanzig = {2: [5, 6, 7, 8, 9, 10, 11]};
    var dreiviertel = {3: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11]};

    var layout = {
        "version": 2,
        "language": 'Deutsch',
        "letters": [
            'ESKISTAFÜNF',
            'ZEHNZWANZIG',
            'DREIVIERTEL',
            'VORFUNKNACH',
            'HALBAELFÜNF',
            'EINSXAMZWEI',
            'DREIPMJVIER',
            'SECHSNLACHT',
            'SIEBENZWÖLF',
            'ZEHNEUNKUHR'
        ],
        "permanent": es_ist,
        "minutes": {
            "0,1,2,3,4": uhr,
            "5,6,7,8,9": [fuenf, nach],
            "10,11,12,13,14": [zehn, nach],
            "15,16,17,18,19": [viertel, nach],
            "20,21,22,23,24": [zwanzig, nach],
            "25,26,27,28,29": [fuenf, vor, halb],
            "30,31,32,33,34": halb,
            "35,36,37,38,39": [fuenf, nach, halb],
            "40,41,42,43,44": [zwanzig, vor],
            "45,46,47,48,49": dreiviertel,
            "50,51,52,53,54": [zehn, vor],
            "55,56,57,58,59": [fuenf, vor]
        },
        "hours": {
            "0,12": {9: [7, 8, 9, 10, 11]},
            "1,13": {6: [1, 2, 3, 4]},
            "2,14": {6: [8, 9, 10, 11]},
            "3,15": {7: [1, 2, 3, 4]},
            "4,16": {7: [8, 9, 10, 11]},
            "5,17": {5: [8, 9, 10, 11]},
            "6,18": {8: [1, 2, 3, 4, 5]},
            "7,19": {9: [1, 2, 3, 4, 5, 6]},
            "8,20": {8: [8, 9, 10, 11]},
            "9,21": {10: [4, 5, 6, 7]},
            "10,22": {10: [1, 2, 3, 4]},
            "11,23": {5: [6, 7, 8]}
        }
    };
    $.fritteli.uhr.register('de', layout);
}(jQuery));

/*
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
(function($) {
    var es_isch = {1: [1, 2, 4, 5, 6, 7]};
    var genau = {3: [7, 8, 9, 10, 11]};
    var ab = {4: [4, 5]};
    var vor = {4: [1, 2, 3]};
    var haubi = {4: [7, 8, 9, 10, 11]};
    var fuef = {1: [9, 10, 11]};
    var zae = {2: [9, 10, 11]};
    var viertu = {2: [1, 2, 3, 4, 5, 6]};
    var zwaenzg = {3: [1, 2, 3, 4, 5, 6]};
    var layout = {
        "version": 2,
        "language": 'Bärndütsch (genau)',
        "letters": [
            'ESKISCHAFÜF',
            'VIERTUBFZÄÄ',
            'ZWÄNZGGENAU',
            'VORABOHAUBI',
            'EISZWÖISDRÜ',
            'VIERIFÜFIQT',
            'SÄCHSISIBNI',
            'ACHTINÜNIEL',
            'ZÄNIERBEUFI',
            'ZWÖUFINAUHR'
        ],
        "permanent": es_isch,
        "minutes": {
            "0": genau,
            "5,6,7,8,9": [fuef, ab],
            "10,11,12,13,14": [zae, ab],
            "15,16,17,18,19": [viertu, ab],
            "20,21,22,23,24": [zwaenzg, ab],
            "25,26,27,28,29": [fuef, vor, haubi],
            "30,31,32,33,34": haubi,
            "35,36,37,38,39": [fuef, ab, haubi],
            "40,41,42,43,44": [zwaenzg, vor],
            "45,46,47,48,49": [viertu, vor],
            "50,51,52,53,54": [zae, vor],
            "55,56,57,58,59": [fuef, vor]
        },
        "hours": {
            "0,12": {10: [1, 2, 3, 4, 5, 6]},
            "1,13": {5: [1, 2, 3]},
            "2,14": {5: [4, 5, 6, 7]},
            "3,15": {5: [9, 10, 11]},
            "4,16": {6: [1, 2, 3, 4, 5]},
            "5,17": {6: [6, 7, 8, 9]},
            "6,18": {7: [1, 2, 3, 4, 5, 6]},
            "7,19": {7: [7, 8, 9, 10, 11]},
            "8,20": {8: [1, 2, 3, 4, 5]},
            "9,21": {8: [6, 7, 8, 9]},
            "10,22": {9: [1, 2, 3, 4]},
            "11,23": {9: [8, 9, 10, 11]}
        }
    };
    $.fritteli.uhr.register('de_CH_genau', layout);
}(jQuery));

/*
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
(function($) {

    var klokken_er = {1: [1, 2, 3, 4, 5, 6, 7, 9, 10]};
    var minutter = {4: [4, 5, 6, 7, 8, 9, 10, 11]};
    var i = {5: [8]};
    var over = {5: [4, 5, 6, 7]};
    var fem = {2: [1, 2, 3]};
    var ti = {4: [1, 2]};
    var kvart = {3: [4, 5, 6, 7, 8]};
    var tyve = {2: [4, 5, 6, 7]};
    var halv = {6: [8, 9, 10, 11]};

    var layout = {
        "version": 2,
        "language": 'Dansk',
        "letters": [
            'KLOKKENVERO',
            'FEMTYVESKLA',
            'OJEKVARTVAT',
            'TIAMINUTTER',
            'VEMOVERILMF',
            'MONALISHALV',
            'ETTOTREFIRE',
            'FEMSEKSRSYV',
            'OTTERNIMETI',
            'ELLEVEATOLV'
        ],
        "permanent": klokken_er,
        "minutes": {
            "5,6,7,8,9": [fem, minutter, over],
            "10,11,12,13,14": [ti, minutter, over],
            "15,16,17,18,19": [kvart, over],
            "20,21,22,23,24": [tyve, minutter, over],
            "25,26,27,28,29": [fem, minutter, i, halv],
            "30,31,32,33,34": [halv],
            "35,36,37,38,39": [fem, minutter, over, halv],
            "40,41,42,43,44": [tyve, minutter, i],
            "45,46,47,48,49": [kvart, i],
            "50,51,52,53,54": [ti, minutter, i],
            "55,56,57,58,59": [fem, minutter, i]
        },
        "hours": {
            "0,12": {10: [8, 9, 10, 11]},
            "1,13": {7: [1, 2]},
            "2,14": {7: [3, 4]},
            "3,15": {7: [5, 6, 7]},
            "4,16": {7: [8, 9, 10, 11]},
            "5,17": {8: [1, 2, 3]},
            "6,18": {8: [4, 5, 6, 7]},
            "7,19": {8: [9, 10, 11]},
            "8,20": {9: [1, 2, 3, 4]},
            "9,21": {9: [6, 7]},
            "10,22": {9: [10, 11]},
            "11,23": {10: [1, 2, 3, 4, 5, 6]}
        },
        "getHour": function (date) {
            var hour = date.getHours();
            if (date.getMinutes() >= 25) {
                return (hour + 1) % 24;
            }
            return hour;
        }
    };
    $.fritteli.uhr.register('dk', layout);
}(jQuery));

/*
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
(function($) {
    var it_is = {1: [1, 2, 4, 5]};
    var half = {4: [1, 2, 3, 4]};
    var to = {4: [10, 11]};
    var past = {5: [1, 2, 3, 4]};
    var o_clock = {10: [5, 6, 7, 8, 9, 10, 11]};
    var five = {3: [7, 8, 9, 10]};
    var ten = {4: [6, 7, 8]};
    var a_quarter = {2: [1, 3, 4, 5, 6, 7, 8, 9]};
    var twenty = {3: [1, 2, 3, 4, 5, 6]};
    var twentyfive = {3: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10]};

    var layout = {
        "version": 2,
        "language": 'English',
        "letters": [
            'ITLISBFAMPM',
            'ACQUARTERDC',
            'TWENTYFIVEX',
            'HALFBTENFTO',
            'PASTERUNINE',
            'ONESIXTHREE',
            'FOURFIVETWO',
            'EIGHTELEVEN',
            'SEVENTWELVE',
            'TENSO\'CLOCK'
        ],
        "permanent": it_is,
        "minutes": {
            "0,1,2,3,4": o_clock,
            "5,6,7,8,9": [five, past],
            "10,11,12,13,14": [ten, past],
            "15,16,17,18,19": [a_quarter, past],
            "20,21,22,23,24": [twenty, past],
            "25,26,27,28,29": [twentyfive, past],
            "30,31,32,33,34": [half, past],
            "35,36,37,38,39": [twentyfive, to],
            "40,41,42,43,44": [twenty, to],
            "45,46,47,48,49": [a_quarter, to],
            "50,51,52,53,54": [ten, to],
            "55,56,57,58,59": [five, to]
        },
        "hours": {
            "0,12": {9: [6, 7, 8, 9, 10, 11]},
            "1,13": {6: [1, 2, 3]},
            "2,14": {7: [9, 10, 11]},
            "3,15": {6: [7, 8, 9, 10, 11]},
            "4,16": {7: [1, 2, 3, 4]},
            "5,17": {7: [5, 6, 7, 8]},
            "6,18": {6: [4, 5, 6]},
            "7,19": {9: [1, 2, 3, 4, 5]},
            "8,20": {8: [1, 2, 3, 4, 5]},
            "9,21": {5: [8, 9, 10, 11]},
            "10,22": {10: [1, 2, 3]},
            "11,23": {8: [6, 7, 8, 9, 10, 11]}
        },
        "getHour": function(date) {
            var hour = date.getHours();
            if (date.getMinutes() >= 35) {
                return (hour + 1) % 24;
            }
            return hour;
        }
    };
    $.fritteli.uhr.register('en', layout);
}(jQuery));

/*
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
(function($) {
    var es_la = {1: [1, 2, 6, 7]};
    var son_las = {1: [2, 3, 4, 6, 7, 8]};
    var y = {7: [6]};
    var menos = {7: [7, 8, 9, 10, 11]};
    var media = {10: [1, 2, 3, 4, 5]};
    var cinco = {9: [7, 8, 9, 10, 11]};
    var diez = {8: [8, 9, 10, 11]};
    var cuarto = {10: [6, 7, 8, 9, 10, 11]};
    var veinte = {8: [2, 3, 4, 5, 6, 7]};
    var veinticinco = {9: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11]};

    var layout = {
        "version": 2,
        "language": 'Español',
        "letters": [
            'ESONELASUNA',
            'DOSITRESORE',
            'CUATROCINCO',
            'SEISASIETEN',
            'OCHONUEVEYO',
            'LADIEZSONCE',
            'DOCELYMENOS',
            'OVEINTEDIEZ',
            'VEINTICINCO',
            'MEDIACUARTO'
        ],
        "permanent": [],
        "minutes": {
            "5,6,7,8,9": [y, cinco],
            "10,11,12,13,14": [y, diez],
            "15,16,17,18,19": [y, cuarto],
            "20,21,22,23,24": [y, veinte],
            "25,26,27,28,29": [y, veinticinco],
            "30,31,32,33,34": [y, media],
            "35,36,37,38,39": [menos, veinticinco],
            "40,41,42,43,44": [menos, veinte],
            "45,46,47,48,49": [menos, cuarto],
            "50,51,52,53,54": [menos, diez],
            "55,56,57,58,59": [menos, cinco]
        },
        "hours": {
            "0,12": [son_las, {7: [1, 2, 3, 4]}],
            "1,13": [es_la, {1: [9, 10, 11]}],
            "2,14": [son_las, {2: [1, 2, 3]}],
            "3,15": [son_las, {2: [5, 6, 7, 8]}],
            "4,16": [son_las, {3: [1, 2, 3, 4, 5, 6]}],
            "5,17": [son_las, {3: [7, 8, 9, 10, 11]}],
            "6,18": [son_las, {4: [1, 2, 3, 4]}],
            "7,19": [son_las, {4: [6, 7, 8, 9, 10]}],
            "8,20": [son_las, {5: [1, 2, 3, 4]}],
            "9,21": [son_las, {5: [5, 6, 7, 8, 9]}],
            "10,22": [son_las, {6: [3, 4, 5, 6]}],
            "11,23": [son_las, {6: [8, 9, 10, 11]}]
        },
        "getHour": function(date) {
            var hour = date.getHours();
            if (date.getMinutes() >= 35) {
                return (hour + 1) % 24;
            }
            return hour;
        }
    };
    $.fritteli.uhr.register('es', layout);
}(jQuery));

/*
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
(function($) {
    var il_est = {1: [1, 2, 4, 5, 6]};
    var et = {8: [1, 2]};
    var moins = {7: [1, 2, 3, 4, 5]};
    var demie = {10: [4, 5, 6, 7, 8]};
    var heures = {6: [6, 7, 8, 9, 10, 11]};
    var le = {7: [7, 8]};
    var cinq = {9: [7, 8, 9, 10]};
    var dix = {7: [9, 10, 11]};
    var quart = {8: [4, 5, 6, 7, 8]};
    var vingt = {9: [1, 2, 3, 4, 5]};
    var vingtcinq = {9: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10]};

    var layout = {
        "version": 2,
        "language": 'Français',
        "letters": [
            'ILNESTODEUX',
            'QUATRETROIS',
            'NEUFUNESEPT',
            'HUITSIXCINQ',
            'MIDIXMINUIT',
            'ONZERHEURES',
            'MOINSOLEDIX',
            'ETRQUARTPMD',
            'VINGT-CINQU',
            'ETSDEMIEPAM'
        ],
        "permanent": il_est,
        "minutes": {
            "5,6,7,8,9": cinq,
            "10,11,12,13,14": dix,
            "15,16,17,18,19": [et, quart],
            "20,21,22,23,24": vingt,
            "25,26,27,28,29": vingtcinq,
            "30,31,32,33,34": [et, demie],
            "35,36,37,38,39": [moins, vingtcinq],
            "40,41,42,43,44": [moins, vingt],
            "45,46,47,48,49": [moins, le, quart],
            "50,51,52,53,54": [moins, dix],
            "55,56,57,58,59": [moins, cinq]
        },
        "hours": {
            "0": {5: [6, 7, 8, 9, 10, 11]},
            "1,13": [
                {3: [5, 6, 7]},
                heures
            ],
            "2,14": [
                {1: [8, 9, 10, 11]},
                heures
            ],
            "3,15": [
                {2: [7, 8, 9, 10, 11]},
                heures
            ],
            "4,16": [
                {2: [1, 2, 3, 4, 5, 6]},
                heures
            ],
            "5,17": [
                {4: [8, 9, 10, 11]},
                heures
            ],
            "6,18": [
                {4: [5, 6, 7]},
                heures
            ],
            "7,19": [
                {3: [8, 9, 10, 11]},
                heures
            ],
            "8,20": [
                {4: [1, 2, 3, 4]},
                heures
            ],
            "9,21": [
                {3: [1, 2, 3, 4]},
                heures
            ],
            "10,22": [
                {5: [3, 4, 5]},
                heures
            ],
            "11,23": [
                {6: [1, 2, 3, 4]},
                heures
            ],
            "12": {5: [1, 2, 3, 4]}
        },
        "getHour": function(date) {
            var hour = date.getHours();
            if (date.getMinutes() >= 35) {
                return (hour + 1) % 24;
            }
            return hour;
        }
    };
    $.fritteli.uhr.register('fr', layout);
}(jQuery));

/*
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
(function($) {
    var sono_le = {1: [1, 2, 3, 4, 6, 7]};
    var e_l = {2: [1, 3, 4]};
    var e = {8: [1]};
    var meno = {7: [8, 9, 10, 11]};
    var mezza = {10: [7, 8, 9, 10, 11]};
    var cinque = {9: [6, 7, 8, 9, 10, 11]};
    var dieci = {10: [1, 2, 3, 4, 5]};
    var un_quarto = {8: [3, 4, 6, 7, 8, 9, 10, 11]};
    var venti = {9: [1, 2, 3, 4, 5]};
    var venticinque = {9: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11]};

    var layout = {
        "version": 2,
        "language": 'Italiano',
        "letters": [
            'SONORLEBORE',
            'ÈRL\'UNASDUE',
            'TREOTTONOVE',
            'DIECIUNDICI',
            'DODICISETTE',
            'QUATTROCSEI',
            'CINQUEAMENO',
            'ECUNOQUARTO',
            'VENTICINQUE',
            'DIECIPMEZZA'
        ],
        "permanent": [],
        "minutes": {
            "5,6,7,8,9": [e, cinque],
            "10,11,12,13,14": [e, dieci],
            "15,16,17,18,19": [e, un_quarto],
            "20,21,22,23,24": [e, venti],
            "25,26,27,28,29": [e, venticinque],
            "30,31,32,33,34": [e, mezza],
            "35,36,37,38,39": [meno, venticinque],
            "40,41,42,43,44": [meno, venti],
            "45,46,47,48,49": [meno, un_quarto],
            "50,51,52,53,54": [meno, dieci],
            "55,56,57,58,59": [meno, cinque]
        },
        "hours": {
            "0,12": [sono_le, {5: [1, 2, 3, 4, 5, 6]}],
            "1,13": [e_l, {2: [5, 6, 7]}],
            "2,14": [sono_le, {2: [9, 10, 11]}],
            "3,15": [sono_le, {3: [1, 2, 3]}],
            "4,16": [sono_le, {6: [1, 2, 3, 4, 5, 6, 7]}],
            "5,17": [sono_le, {7: [1, 2, 3, 4, 5, 6]}],
            "6,18": [sono_le, {6: [9, 10, 11]}],
            "7,19": [sono_le, {5: [7, 8, 9, 10, 11]}],
            "8,20": [sono_le, {3: [4, 5, 6, 7]}],
            "9,21": [sono_le, {3: [8, 9, 10, 11]}],
            "10,22": [sono_le, {4: [1, 2, 3, 4, 5]}],
            "11,23": [sono_le, {4: [6, 7, 8, 9, 10, 11]}]
        },
        "getHour": function(date) {
            var hour = date.getHours();
            if (date.getMinutes() >= 35) {
                return (hour + 1) % 24;
            }
            return hour;
        }
    };
    $.fritteli.uhr.register('it', layout);
}(jQuery));

/*
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
(function($) {
    var het_is = {1: [1, 2, 3, 5, 6]};
    var over1 = {3: [1, 2, 3, 4]};
    var voor1 = {2: [8, 9, 10, 11]};
    var over2 = {4: [8, 9, 10, 11]};
    var voor2 = {5: [1, 2, 3, 4]};
    var half = {4: [1, 2, 3, 4]};
    var vijf = {1: [8, 9, 10, 11]};
    var tien = {2: [1, 2, 3, 4]};
    var kwart = {3: [7, 8, 9, 10, 11]};
    var uur = {10: [9, 10, 11]};

    var layout = {
        "version": 2,
        "language": 'Nederlands',
        "letters": [
            'HETKISAVIJF',
            'TIENBTZVOOR',
            'OVERMEKWART',
            'HALFSPWOVER',
            'VOORTHGEENS',
            'TWEEPVCDRIE',
            'VIERVIJFZES',
            'ZEVENONEGEN',
            'ACHTTIENELF',
            'TWAALFBFUUR'
        ],
        "permanent": het_is,
        "minutes": {
            "0,1,2,3,4": uur,
            "5,6,7,8,9": [vijf, over1],
            "10,11,12,13,14": [tien, over1],
            "15,16,17,18,19": [kwart, over2],
            "20,21,22,23,24": [tien, voor1, half],
            "25,26,27,28,29": [vijf, voor1, half],
            "30,31,32,33,34": half,
            "35,36,37,38,39": [vijf, over1, half],
            "40,41,42,43,44": [tien, over1, half],
            "45,46,47,48,49": [kwart, voor2],
            "50,51,52,53,54": [tien, voor1],
            "55,56,57,58,59": [vijf, voor1]
        },
        "hours": {
            "0,12": {10: [1, 2, 3, 4, 5, 6]},
            "1,13": {5: [8, 9, 10]},
            "2,14": {6: [1, 2, 3, 4]},
            "3,15": {6: [8, 9, 10, 11]},
            "4,16": {7: [1, 2, 3, 4]},
            "5,17": {7: [5, 6, 7, 8]},
            "6,18": {7: [9, 10, 11]},
            "7,19": {8: [1, 2, 3, 4, 5]},
            "8,20": {9: [1, 2, 3, 4]},
            "9,21": {8: [7, 8, 9, 10, 11]},
            "10,22": {9: [5, 6, 7, 8]},
            "11,23": {9: [9, 10, 11]}
        },
        "getHour": function(date) {
            var hour = date.getHours();
            if (date.getMinutes() >= 20) {
                return (hour + 1) % 24;
            }
            return hour;
        }
    };
    $.fritteli.uhr.register('nl', layout);
}(jQuery));

/*
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
(function ($) {
    var e_ = {1: [1]};
    var sao = {1: [2, 3, 4]};
    var e1 = {7: [8]};
    var e2 = {10: [5]};
    var menos = {7: [7, 8, 9, 10, 11]};
    var meia = {8: [8, 9, 10, 11]};
    var cinco = {10: [7, 8, 9, 10, 11]};
    var dez = {10: [1, 2, 3]};
    var um_quarto = {9: [1, 2, 4, 5, 6, 7, 8, 9]};
    var vinte = {8: [1, 2, 3, 4, 5]};
    var layout = {
        "version": 2,
        "language": 'Português',
        "letters": [
            'ÉSÃOUMATRÊS',
            'MEIOLDIADEZ',
            'DUASEISETEY',
            'QUATROHNOVE',
            'CINCOITONZE',
            'ZMEIALNOITE',
            'HORASYMENOS',
            'VINTECAMEIA',
            'UMVQUARTOPM',
            'DEZOEYCINCO'
        ],
        "minutes": {
            "5,6,7,8,9": [e1, cinco],
            "10,11,12,13,14": [e1, dez],
            "15,16,17,18,19": [e1, um_quarto],
            "20,21,22,23,24": [e1, vinte],
            "25,26,27,28,29": [e1, vinte, e2, cinco],
            "30,31,32,33,34": [e1, meia],
            "35,36,37,38,39": [menos, vinte, e2, cinco],
            "40,41,42,43,44": [menos, vinte],
            "45,46,47,48,49": [menos, um_quarto],
            "50,51,52,53,54": [menos, dez],
            "55,56,57,58,59": [menos, cinco]
        },
        "hours": {
            "0": [e_, {"6": [2, 3, 4, 5, 7, 8, 9, 10, 11]}],
            "12": [e_, {"2": [1, 2, 3, 4, 6, 7, 8]}],
            "1,13": [e_, {"1": [5, 6, 7]}],
            "2,14": [sao, {"3": [1, 2, 3, 4]}],
            "3,15": [sao, {"1": [8, 9, 10, 11]}],
            "4,16": [sao, {"4": [1, 2, 3, 4, 5, 6]}],
            "5,17": [sao, {"5": [1, 2, 3, 4, 5]}],
            "6,18": [sao, {"3": [4, 5, 6, 7]}],
            "7,19": [sao, {"3": [7, 8, 9, 10]}],
            "8,20": [sao, {"5": [5, 6, 7, 8]}],
            "9,21": [sao, {"4": [8, 9, 10, 11]}],
            "10,22": [sao, {"2": [9, 10, 11]}],
            "11,23": [sao, {"5": [8, 9, 10, 11]}]
        },
        "getHour": function (date) {
            var hour = date.getHours();
            if (date.getMinutes() >= 35) {
                return (hour + 1) % 24;
            }
            return hour;
        }
    };
    $.fritteli.uhr.register('pt', layout);
}(jQuery));
